From f25bff63091da94595aa0b2d096b9f3b9f64544f Mon Sep 17 00:00:00 2001
From: Ivan Petkov <ivanppetkov@gmail.com>
Date: Mon, 17 Jun 2019 22:10:52 -0700
Subject: [PATCH 3/3] gnu: rust: use llvm@8

* gnu/packages/llvm.scm (llvm): Rename to...
(llvm-8): ...this.
(llvm): New variable.
* gnu/packages/rust.scm (rust)[inputs]: Use llvm-8
---
 gnu/packages/llvm.scm | 4 +++-
 gnu/packages/rust.scm | 3 +++
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/llvm.scm b/gnu/packages/llvm.scm
index 8cb05a6cad..0ae4373c05 100644
--- a/gnu/packages/llvm.scm
+++ b/gnu/packages/llvm.scm
@@ -47,7 +47,7 @@
   #:use-module (gnu packages python)
   #:use-module (gnu packages xml))
 
-(define-public llvm
+(define-public llvm-8
   (package
     (name "llvm")
     (version "8.0.0")
@@ -98,6 +98,8 @@ languages is in development.  The compiler infrastructure includes mirror sets
 of programming tools as well as libraries with equivalent functionality.")
     (license license:ncsa)))
 
+(define-public llvm llvm-8)
+
 (define* (clang-runtime-from-llvm llvm hash
                                   #:optional (patches '()))
   (package
diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
index c83c8a6784..9444d8be73 100644
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -1056,6 +1056,9 @@ jemalloc = \"" jemalloc "/lib/libjemalloc_pic.a" "\"
            "0bbizy6b7002v1rdhrxrf5gijclbyizdhkglhp81ib3bf5x66kas")))
     (package
       (inherit base-rust)
+      (inputs
+       (alist-replace "llvm" (list llvm-8)
+                      (package-inputs base-rust)))
       (arguments
        (substitute-keyword-arguments (package-arguments base-rust)
          ((#:phases phases)
-- 
2.22.0

